summaryrefslogtreecommitdiffstats
path: root/tests/build
diff options
context:
space:
mode:
authorThomas Haller <thaller@redhat.com>2023-09-14 15:14:02 +0200
committerFlorian Westphal <fw@strlen.de>2023-09-15 16:36:32 +0200
commitc76cfef3d4bfb77d12a6d0c34f4ee4aa6a97eaa6 (patch)
tree1c7a2a50576285f81b3f4491ffdbc06a361c238e /tests/build
parentffbcf6cc7976533cd3e2dc5eae68aa9f82867889 (diff)
tests/build: capture more output from "tests/build/run-tests.sh" script
Dropping stdout for various build tests makes it hard to understand what happens, when a build fails. Redirect both stdout and stderr to the log files for easier debugging. Signed-off-by: Thomas Haller <thaller@redhat.com> Signed-off-by: Florian Westphal <fw@strlen.de>
Diffstat (limited to 'tests/build')
-rwxr-xr-xtests/build/run-tests.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/build/run-tests.sh b/tests/build/run-tests.sh
index 4616387f..916df2e2 100755
--- a/tests/build/run-tests.sh
+++ b/tests/build/run-tests.sh
@@ -15,21 +15,21 @@ if [ ! -w "$tmpdir" ] ; then
exit 0
fi
-git clone "$dir" "$tmpdir" >/dev/null 2>>"$log_file"
+git clone "$dir" "$tmpdir" &>>"$log_file"
cd "$tmpdir" || exit
-if ! autoreconf -fi >"$log_file" 2>>"$log_file" ; then
+if ! autoreconf -fi &>>"$log_file" ; then
echo "Something went wrong. Check the log '${log_file}' for details."
exit 1
fi
-if ! ./configure >"$log_file" 2>>"$log_file" ; then
+if ! ./configure &>>"$log_file" ; then
echo "Something went wrong. Check the log '${log_file}' for details."
exit 1
fi
echo "Testing build with distcheck"
-if ! make distcheck >/dev/null 2>>"$log_file" ; then
+if ! make distcheck &>>"$log_file" ; then
echo "Something went wrong. Check the log '${log_file}' for details."
exit 1
fi
@@ -39,8 +39,8 @@ echo "Build works. Now, testing compile options"
for var in "${argument[@]}" ; do
echo "[EXECUTING] Testing compile option $var"
- ./configure "$var" >/dev/null 2>>"$log_file"
- make -j 8 >/dev/null 2>>"$log_file"
+ ./configure "$var" &>>"$log_file"
+ make -j 8 &>>"$log_file"
rt=$?
echo -en "\033[1A\033[K" # clean the [EXECUTING] foobar line